Table of Contents

Class: MainMenuBar | ../bkchem/Pmw.py
--- | ---
Base Classes |
--- | ---
MegaArchetype
Methods |
--- | ---
__init__ addcascademenu addmenu addmenuitem deletemenu deletemenuitems disableall enableall
| __init__
    __init__ (
            self,
            parent=None,
            **kw,
            )
| addcascademenu
    addcascademenu (
            self,
            parentMenuName,
            menuName,
            statusHelp='',
            traverseSpec=None,
            **kw,
            )
| addmenu
    addmenu (
            self,
            menuName,
            balloonHelp,
            statusHelp=None,
            traverseSpec=None,
            **kw,
            )
| addmenuitem
    addmenuitem (
            self,
            menuName,
            itemType,
            statusHelp='',
            traverseSpec=None,
            **kw,
            )
Exceptions |
--- | ---
ValueError, 'unknown menuitem type "%s"' % itemType
| deletemenu
    deletemenu ( self,  menuName )
Delete should be called for cascaded menus before main menus.
| deletemenuitems
    deletemenuitems (
            self,
            menuName,
            start,
            end=None,
            )
| disableall
    disableall ( self )
| enableall
    enableall ( self )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1